<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>gateway documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">gateway documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content interface">
                   <div class="content-data">












<ol class="breadcrumb">
  <li>Interfaces</li>
  <li>IDatabaseModels</li>
</ol>

<ul class="nav nav-tabs" role="tablist">
        <li class="active">
            <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
        </li>
        <li >
            <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
        </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">
        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/database/mongodb/models.ts</code>
        </p>



        <section>
            <h3 id="index">Index</h3>
            <table class="table table-sm table-bordered index-table">
                <tbody>
                    <tr>
                        <td class="col-md-4">
                            <h6><b>Properties</b></h6>
                        </td>
                    </tr>
                    <tr>
                        <td class="col-md-4">
                            <ul class="index-list">
                                <li>
                                </li>
                            </ul>
                        </td>
                    </tr>
                </tbody>
            </table>
        </section>



            <section>
                <h3 id="inputs">Properties</h3>
                    <table class="table table-sm table-bordered">
                        <tbody>







                        </tbody>
                    </table>
            </section>
    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { IUserMongoEntity } from &quot;src/services/users/models&quot;;

export enum DatabaseModels {
    USERS &#x3D; &#x27;users&#x27;,
    CUSTOMERS &#x3D; &#x27;customers&#x27;,
    SUBSCRIPTIONS &#x3D; &#x27;subscriptions&#x27;,
    EVENTS &#x3D; &#x27;events&#x27;,
    POSTS &#x3D; &#x27;posts&#x27;,
    NOTIFICATIONS &#x3D; &#x27;notifications&#x27;,
    NOTIFICATION_SUBSCRIPTIONS &#x3D; &#x27;notification_subscriptions&#x27;,
    NOTIFICATION_QUEUE &#x3D; &#x27;notification_que&#x27;,
    FOLLOWSHIP &#x3D; &#x27;follow_relationships&#x27;,
    REACTIONS &#x3D; &#x27;reactions&#x27;,
    COMMENTS &#x3D; &#x27;comments&#x27;,
    MAPBOX_REQUESTS &#x3D; &#x27;mapbox_requests&#x27;,
    SUPPORT_REQUESTS &#x3D; &#x27;support_requests&#x27;,
    SOCIAL_ANALYTICS &#x3D; &#x27;social_analytics&#x27;,
    SE_BUSINESS &#x3D; &#x27;se_business&#x27;,
    SE_PINS &#x3D; &#x27;se_pins&#x27;,
    SE_TRAILS &#x3D; &#x27;se_trails&#x27;,
    SE_AREAS &#x3D; &#x27;se_areas&#x27;,
    SE_COUNTIES &#x3D; &#x27;se_counties&#x27;,
    // SE_COUNTY_CODES &#x3D; &#x27;se_county_codes&#x27;,
    // SE_MUNICIPALITY_CODES &#x3D; &#x27;se_municipality_codes&#x27;,
    SE_MUNICIPALITIES &#x3D; &#x27;se_municipalities&#x27;,
    SE_ZONES &#x3D; &#x27;se_zones&#x27;,
}

export enum GenericDatabaseModels {
    USERS &#x3D; &#x27;users&#x27;,
    CUSTOMERS &#x3D; &#x27;customers&#x27;,
    SUBSCRIPTIONS &#x3D; &#x27;subscriptions&#x27;,
    EVENTS &#x3D; &#x27;events&#x27;,
    POSTS &#x3D; &#x27;posts&#x27;,
    NOTIFICATIONS &#x3D; &#x27;notifications&#x27;,
    NOTIFICATION_SUBSCRIPTIONS &#x3D; &#x27;notification_subscriptions&#x27;,
    NOTIFICATION_QUEUE &#x3D; &#x27;notification_que&#x27;,
    FOLLOWSHIP &#x3D; &#x27;follow_relationships&#x27;,
    BUSINESS &#x3D; &#x27;se_business&#x27;,
    PINS &#x3D; &#x27;se_pins&#x27;,
    TRAILS &#x3D; &#x27;se_trails&#x27;,
    MAPBOX_REQUESTS &#x3D; &#x27;mapbox_requests&#x27;,
    AREAS &#x3D; &#x27;se_areas&#x27;,
    COUNTIES &#x3D; &#x27;se_counties&#x27;,
    // COUNTY_CODES &#x3D; &#x27;se_county_codes&#x27;,
    // MUNICIPALITY_CODES &#x3D; &#x27;se_municipality_codes&#x27;,
    ZONES &#x3D; &#x27;se_zones&#x27;,
    MUNICIPALITIES &#x3D; &#x27;se_municipalities&#x27;,
}

export interface IDatabaseModels {
    [DatabaseModels.USERS]: IUserMongoEntity
    // [DatabaseModels.CUSTOMERS]: ICustomerEntity
    // [DatabaseModels.SUBSCRIPTIONS]: ISubscriptionMongo
    // [DatabaseModels.EVENTS]: ISocialEventEntity
    // [DatabaseModels.POSTS]: IPostEntity
    // [DatabaseModels.FOLLOWSHIP]: IFollowingEntity
    // [DatabaseModels.REACTIONS]: IReactionEntity
    // [DatabaseModels.COMMENTS]: ICommentThreadEntity
    // [DatabaseModels.MAPBOX_REQUESTS]: IMapboxRequestEntity
    // [DatabaseModels.SUPPORT_REQUESTS]: ISupportTicketEntity
    // [DatabaseModels.SE_BUSINESS]: IBusinessMongoEntity
    // [DatabaseModels.SE_PINS]: IPinEntity
    // [DatabaseModels.SE_TRAILS]: ITrailMongoEntity
    // [DatabaseModels.SE_AREAS]: IAreaMongoEntity
    // [DatabaseModels.SE_MUNICIPALITIES]: IMunicipalityMongoEntity
    // [DatabaseModels.SE_ZONES]: IZoneMongoEntity
}
</code></pre>
    </div>
</div>


                   




                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'interface';
            var COMPODOC_CURRENT_PAGE_URL = 'IDatabaseModels.html';
            var MAX_SEARCH_RESULTS = 15;
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
